Subject: bug#54488: 29.0.50; move-to-column/overlay-related regression in latest master, perhaps 28?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Mar 2022 05:34:39 +0200

> Date: Wed, 23 Mar 2022 01:55:17 +0200
> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 22.03.2022 23:05, João Távora wrote:
> >      >  Why do you have to use move-to-column instead of forward-char?
> >      >
> >      > I don't remember! Is it exactly equivalent if you're standing in
> >     the beginning of the line?
> > 
> >     Yes, if you have only text in the buffer (no images etc.).
> > 
> > 
> > Hmmm, it's interesting. Maybe I should just switch to that. Seems to fix 
> > it. Until someone adds images to the source code i suppose. What's your 
> > "etc"?
> 
> Tabs?

Tabs are a problem anyway, because the compiler cannot know how wide
the tab is in the Emacs buffer.  So if move-to-column is used to get
to the place where the error is indicated, tabs should be a problem
that is already handled specially, I think.  And if so, it could be
handled specially (in a different way) when forward-char is used
instead.

Or what am I missing?